unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject); 
var 
  R1 : HRGN; 
  R2 : HRGN; 
  Points : array [0..11] of TPoint; 
  PtCounts : array [0..2] of integer; 
begin
//Les points du premier polygone 
  Points[0] := point(30,30); 
  Points[1] := point(150,30);
  Points[2] := point(100,75);
  Points[3] := point(50,163);
//Les points du deuxieme polygone 
  Points[4] := point(160,30);
  Points[5] := point(120,80);
  Points[6] := point(70,170);
  Points[7] := point(200,170);
//Les points du troisime polygone 
  Points[8] := point(180,30);
  Points[9] := point(210,170);
  Points[10] := point(250,100);
  Points[11] := point(270,100);
//Le nombre de points de chaque polygone 
  PtCounts[0] := 4;
  PtCounts[1] := 4;
  PtCounts[2] := 4;

//Cration du polypolygone 
  R1 := CreatePolyPolygonRgn(Points, PtCounts, 3, WINDING);
  Canvas.Brush.Style := bssolid;
  Canvas.Brush.Color := clRed;
//Dessine les bordures de la rgion 
  FrameRgn(GetWindowDC(handle),R1, Canvas.Brush.Handle, 1, 1);
  DeleteObject(R1);

//Cration d'une rgion rectangulaire  bords doux 
  R1 := CreateRoundRectRgn(120,110,160,140,5,5);
  Canvas.Brush.Color := clGreen;
//Remplisage de la rgion avec une belle couleur verte 
  FillRgn(GetWindowDC(handle), r1, Canvas.Brush.Handle);
  DeleteObject(R1);

//Cration d'une rgion elliptique 
  R1 := CreateEllipticRgn(130,120,300,150);
//Inversion des couleurs de la rgion 
  InvertRgn(GetWindowDC(handle), R1);
  DeleteObject(R1);
end; 


end.
